package com.landray.kmss.sys.attachment.restservice.foxit.controller;

import java.util.HashMap;
import java.util.Map;

public class FoxitPermission
{
    private Map<String, Object> data;
    
    public FoxitPermission() {
        this.data = new HashMap<String, Object>();
    }
    
    public FoxitPermission setPermission(final String permission) {
        this.data.put("permission", permission);
        return this;
    }
    
    public FoxitPermission setHead(final String head) {
        this.data.put("head", head);
        return this;
    }
    
    public FoxitPermission setOpenFileBtn(final String openFileBtn) {
        this.data.put("openFileBtn", openFileBtn);
        return this;
    }
    
    public FoxitPermission setSaveBtn(final String saveBtn) {
        this.data.put("saveBtn", saveBtn);
        return this;
    }
    
    public FoxitPermission setPrintBtn(final String printBtn) {
        this.data.put("printBtn", printBtn);
        return this;
    }
    
    public FoxitPermission setGoToPageBox(final String goToPageBox) {
        this.data.put("goToPageBox", goToPageBox);
        return this;
    }
    
    public FoxitPermission setZoomPageBox(final String zoomPageBox) {
        this.data.put("zoomPageBox", zoomPageBox);
        return this;
    }
    
    public FoxitPermission setPageLayoutBtn(final String pageLayoutBtn) {
        this.data.put("pageLayoutBtn", pageLayoutBtn);
        return this;
    }
    
    public FoxitPermission setHandToolBtn(final String handToolBtn) {
        this.data.put("handToolBtn", handToolBtn);
        return this;
    }
    
    public FoxitPermission setTextSelectBtn(final String textSelectBtn) {
        this.data.put("textSelectBtn", textSelectBtn);
        return this;
    }
    
    public FoxitPermission setHeightLightBtn(final String heightLightBtn) {
        this.data.put("heightLightBtn", heightLightBtn);
        return this;
    }
    
    public FoxitPermission setUnderlineBtn(final String underlineBtn) {
        this.data.put("underlineBtn", underlineBtn);
        return this;
    }
    
    public FoxitPermission setPencilBtn(final String pencilBtn) {
        this.data.put("pencilBtn", pencilBtn);
        return this;
    }
    
    public FoxitPermission setDrawingAnnotBtn(final String drawingAnnotBtn) {
        this.data.put("drawingAnnotBtn", drawingAnnotBtn);
        return this;
    }
    
    public FoxitPermission setCommentsBtn(final String commentsBtn) {
        this.data.put("commentsBtn", commentsBtn);
        return this;
    }
    
    public FoxitPermission setElecSignatureBtn(final String elecSignatureBtn) {
        this.data.put("elecSignatureBtn", elecSignatureBtn);
        return this;
    }
    
    public FoxitPermission setCheckElecSignatureBtn(final String checkElecSignatureBtn) {
        this.data.put("checkElecSignatureBtn", checkElecSignatureBtn);
        return this;
    }
    
    public FoxitPermission setRotateSwitchBtn(final String rotateSwitchBtn) {
        this.data.put("rotateSwitchBtn", rotateSwitchBtn);
        return this;
    }
    
    public FoxitPermission setExportBtn(final String exportBtn) {
        this.data.put("exportBtn", exportBtn);
        return this;
    }
    
    public FoxitPermission setOutlineBtn(final String outlineBtn) {
        this.data.put("outlineBtn", outlineBtn);
        return this;
    }
    
    public FoxitPermission setThumbnailBtn(final String thumbnailBtn) {
        this.data.put("thumbnailBtn", thumbnailBtn);
        return this;
    }
    
    public FoxitPermission setCommentListBtn(final String commentListBtn) {
        this.data.put("commentListBtn", commentListBtn);
        return this;
    }
    
    public FoxitPermission setSearchBtn(final String searchBtn) {
        this.data.put("searchBtn", searchBtn);
        return this;
    }
    
    public FoxitPermission setSemanticTreeBtn(final String semanticTreeBtn) {
        this.data.put("semanticTreeBtn", semanticTreeBtn);
        return this;
    }
    
    public FoxitPermission setAttachmentBtn(final String attachmentBtn) {
        this.data.put("attachmentBtn", attachmentBtn);
        return this;
    }
    
    public FoxitPermission setPageRange(final String pageRange) {
        this.data.put("pageRange", pageRange);
        return this;
    }
    
    public Map<String, Object> getData() {
        return this.data;
    }
}
